# -*- coding=utf8 -*-
#******************************************************************************
# Movies.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************

_MovieList = {
    "S01E01 - Kosmische Kollegen": "xms8w9",
    "S01E02 - Planet der Reserven": "xms8wf",
    "S01E03 - Relativistische Effekte": "xms9zt",
    "S01E04 - Der futurologische Kongress": "xmfqe2",
    "S01E05 - Sabotage": "xmsacb",
    "S01E06 - Die innere Stimme (nicht verfügbar)": None,

    "S02E01 - Held von Kosmos": "xmo3o3",
    "S02E02 - Shøpping": "xmsaci",
    "S02E03 - Schön schaumig": "xmjpx6",
    "S02E04 - Biste-Fix Zeitblasen": "xmfqct",
    "S02E05 - Sepulken verboten": "xmjpxb",
    "S02E06 - Das Erinnerungsstück": "xmfqdd",
    "S02E07 - Schein und Sein I (nicht verfügbar)": None,
    "S02E08 - Schein und Sein II (nicht verfügbar)": None
}

class Movies(object):
    
    _titels = []
    
    def __init__(self):
        for key in _MovieList:
            self._titels.append(key)
        self._titels.sort()

    def get_titles(self):
        return self._titels
    
    def get_id(self, title):
        result = None
        if title in _MovieList:
            result = _MovieList[title]
        return result
    